# Class: ComponentMethod

## ComponentMethod

#### new ComponentMethod(name) → {ComponentMethod}

HOMEWORKS COMPONENT Create manager, This is core constructor for making HOMEWORKS COMPONENT.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string | COMPONENT Name.

Author:
  - Kenneth
Source:
  - index.js, line 357
See:
  - Refer an example document here.

##### Returns:

Type
  ComponentMethod

### Members

#### init :function

The constructor of Component, This function will be called when Component mapping be started.

##### Type:

- function

Source:
  - index.js, line 375

#### method :Object.<function()>

An object wrapped functions, This object is declared Component methods.

##### Type:

- Object.<function()>

Source:
  - index.js, line 381

#### options :Object.<Any>

Options decleared by caller, You can default option in ComponentMethod.

##### Type:

- Object.<Any>

Source:
  - index.js, line 396

#### template :Object.<String>

An object wrapped templates, This object is declared templates which use in Component.

##### Type:

- Object.<String>

Source:
  - index.js, line 389

### Methods

#### route(id) → {jQuery}

This function is core of ComponentMethod, This is provider to collecting Component by call patterns.

##### Parameters:

Name | Type | Description
--- | --- | ---
`id` | string | Component unique id for give to internel of Component.

Source:
  - index.js, line 414

##### Returns:

Type
  jQuery